package com.chy.borrow.eum;

public enum TmpCodeStatusEnum {

    STATUS_CHECKING(1,"1","待审批"),
    STATUS_CHECK_PASS(2,"2","审批通过"),
    STATUS_CHECK_REJECT(3,"3","审批拒绝");

    private Integer statusCode;
    private String statusCodeString;
    private String statusName;

    TmpCodeStatusEnum(Integer statusCode, String statusCodeString, String statusName) {
        this.statusCode = statusCode;
        this.statusCodeString = statusCodeString;
        this.statusName = statusName;
    }

    public Integer getStatusCode() {
        return statusCode;
    }

    public void setStatusCode(Integer statusCode) {
        this.statusCode = statusCode;
    }

    public String getStatusCodeString() {
        return statusCodeString;
    }

    public void setStatusCodeString(String statusCodeString) {
        this.statusCodeString = statusCodeString;
    }

    public String getStatusName() {
        return statusName;
    }

    public void setStatusName(String statusName) {
        this.statusName = statusName;
    }

    public static TmpCodeStatusEnum get(Integer statusCode){
        for(TmpCodeStatusEnum borrowStatusEnum:values()){
            if (borrowStatusEnum.getStatusCode().equals(statusCode)){
                return borrowStatusEnum;
            }
        }
        return null;
    }
}
